package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 小一线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_xy")
public class OeeXy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 小一线流水线坡口
     */
    private Double xyPkL;

    /**
     * 小一线流水线装配1
     */
    private Double xyZp1L;

    /**
     * 小一线流水线焊接1
     */
    private Double xyHj1L;

    /**
     * 小一线流水线焊接2
     */
    private Double xyHj2L;

    /**
     * 小一线弯管机
     */
    private Double xyWgj;

    /**
     * 小一线支管切断
     */
    private Double xyZgqd;

    /**
     * 小一线装配平台1
     */
    private Double xyZppt1;

    /**
     * 小一线装配平台2
     */
    private Double xyZppt2;

    /**
     * 小一线装配平台3
     */
    private Double xyZppt3;

    /**
     * 小一线装配平台4
     */
    private Double xyZppt4;

    /**
     * 小一线焊接工位1
     */
    private Double xyHjgw1;

    /**
     * 小一线焊接工位2
     */
    private Double xyHjgw2;

    /**
     * 小一线焊接工位3
     */
    private Double xyHjgw3;

    /**
     * 小一线焊接工位4
     */
    private Double xyHjgw4;

    /**
     * 小一线一次完检
     */
    private Double xyYcwj;

    /**
     * 小一线水试
     */
    private Double xySs;

}
