package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 中一线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_zy")
public class OeeZy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 中一线流水线坡口
     */
    private Double zyPkL;

    /**
     * 中一线流水线装配
     */
    private Double zyZpL;

    /**
     * 中一线流水线焊接
     */
    private Double zyHjL;

    /**
     * 中一线流水线短管焊接
     */
    private Double zyDghjL;

    /**
     * 中一线弯管机1
     */
    private Double zyWgj1;

    /**
     * 中一线弯管机2
     */
    private Double zyWgj2;

    /**
     * 中一线小组立平台
     */
    private Double zyXzl;

    /**
     * 中一线弯头焊接机
     */
    private Double zyWthjj;

    /**
     * 中一线装配平台1
     */
    private Double zyZppt1;

    /**
     * 中一线装配平台2
     */
    private Double zyZppt2;

    /**
     * 中一线装配平台3
     */
    private Double zyZppt3;

    /**
     * 中一线装配平台4
     */
    private Double zyZppt4;

    /**
     * 中一线装配平台5
     */
    private Double zyZppt5;

    /**
     * 中一线焊接工位1
     */
    private Double zyHjgw1;

    /**
     * 中一线焊接工位2
     */
    private Double zyHjgw2;

    /**
     * 中一线焊接工位3
     */
    private Double zyHjgw3;

    /**
     * 中一线焊接工位4
     */
    private Double zyHjgw4;

    /**
     * 中一线焊接工位5
     */
    private Double zyHjgw5;

    /**
     * 中一线焊接工位6
     */
    private Double zyHjgw6;

    /**
     * 中一线焊接工位7
     */
    private Double zyHjgw7;

    /**
     * 中一线一次完检
     */
    private Double zyYcwj;

    /**
     * 中一线水试
     */
    private Double zySs;

}
