package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 不锈钢线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_bxg")
public class OeeBxg implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 不锈钢流水线坡口
     */
    private Double bxgPkL;

    /**
     * 不锈钢流水线装配
     */
    private Double bxgZpL;

    /**
     * 不锈钢流水线焊接
     */
    private Double bxgHjL;

    /**
     * 不锈钢线弯管机
     */
    private Double bxgWgj;

    /**
     * 不锈钢线支管切断
     */
    private Double bxgZgqd;

    /**
     * 不锈钢线小组立平台
     */
    private Double bxgXzl;

    /**
     * 不锈钢线弯头焊接
     */
    private Double bxgWthj;

    /**
     * 不锈钢线装配平台1
     */
    private Double bxgZppt1;

    /**
     * 不锈钢线装配平台2
     */
    private Double bxgZppt2;

    /**
     * 不锈钢线焊接工位1
     */
    private Double bxgHjgw1;

    /**
     * 不锈钢线焊接工位2
     */
    private Double bxgHjgw2;

    /**
     * 不锈钢线焊接工位3
     */
    private Double bxgHjgw3;

    /**
     * 不锈钢线一次完检
     */
    private Double bxgYcwj;

    /**
     * 不锈钢线水试
     */
    private Double bxgSs;

    /**
     * 探伤
     */
    private Double ts;

}
