package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 小二线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_xe")
public class OeeXe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 小二线流水线坡口
     */
    private Double xePkL;

    /**
     * 小二线流水线装配
     */
    private Double xeZpL;

    /**
     * 小二线流水线焊接
     */
    private Double xeHjL;

    /**
     * 小二线弯管机1
     */
    private Double xeWgj1;

    /**
     * 小二线弯管机2
     */
    private Double xeWgj2;

    /**
     * 小二线支管切断
     */
    private Double xeZgqd;

    /**
     * 小二线装配平台1
     */
    private Double xeZppt1;

    /**
     * 小二线装配平台2
     */
    private Double xeZppt2;

    /**
     * 小二线装配平台3
     */
    private Double xeZppt3;

    /**
     * 小二线装配平台4
     */
    private Double xeZppt4;

    /**
     * 小二线装配平台5
     */
    private Double xeZppt5;

    /**
     * 小二线焊接工位1
     */
    private Double xeHjgw1;

    /**
     * 小二线焊接工位2
     */
    private Double xeHjgw2;

    /**
     * 小二线焊接工位3
     */
    private Double xeHjgw3;

    /**
     * 小二线焊接工位4
     */
    private Double xeHjgw4;

    /**
     * 小二线焊接工位5
     */
    private Double xeHjgw5;

    /**
     * 小二线一次完检
     */
    private Double xeYcwj;

    /**
     * 小二线水试
     */
    private Double xeSs;

    /**
     * 机加工
     */
    private Double jjg;

}
