package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 中二线OEE信息表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("oee_ze")
public class OeeZe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 中二线流水线激光切割
     */
    private Double zeJgqgL;

    /**
     * 中二线流水线装配
     */
    private Double zeZpL;

    /**
     * 中二线流水线焊接
     */
    private Double zeHjL;

    /**
     * 中二线流水线短管焊接
     */
    private Double zeDghjL;

    /**
     * 中二线线弯管机
     */
    private Double zeWgj;

    /**
     * 中二线支管切断
     */
    private Double zeZgqd;

    /**
     * 中二线小组立平台1
     */
    private Double zeXzl1;

    /**
     * 中二线小组立平台2
     */
    private Double zeXzl2;

    /**
     * 中二线弯头焊接机
     */
    private Double zeWthjj;

    /**
     * 中二线装配平台1
     */
    private Double zeZppt1;

    /**
     * 中二线装配平台2
     */
    private Double zeZppt2;

    /**
     * 中二线装配平台3
     */
    private Double zeZppt3;

    /**
     * 中二线装配平台4
     */
    private Double zeZppt4;

    /**
     * 中二线焊接工位1
     */
    private Double zeHjgw1;

    /**
     * 中二线焊接工位2
     */
    private Double zeHjgw2;

    /**
     * 中二线焊接工位3
     */
    private Double zeHjgw3;

    /**
     * 中二线焊接工位4
     */
    private Double zeHjgw4;

    /**
     * 中二线焊接工位5
     */
    private Double zeHjgw5;

    /**
     * 中二线焊接工位6
     */
    private Double zeHjgw6;

    /**
     * 中二线焊接工位7
     */
    private Double zeHjgw7;

    /**
     * 中二线焊接工位8
     */
    private Double zeHjgw8;

    /**
     * 中二线一次完检
     */
    private Double zeYcwj;

    /**
     * 中二线水试
     */
    private Double zeSs;

}
