package com.ipsplm.entity.simulation.vo;

import lombok.Data;

import java.io.Serializable;
/**
 * @Description 工厂设备利用率实体类
 * @Author lulicheng
 * @Date 2024-07-31 10：25
 * @Version 1.0
 */
@Data
public class PlantEquipmentUtilizationVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 状态
     */
    private Integer status;
    /**
     * 不锈钢流水线装配
     */
    private Double bxgZpL;

    /**
     * 不锈钢流水线焊接
     */
    private Double bxgHjL;

    /**
     * 小一线流水线装配1
     */
    private Double xyZp1L;

    /**
     * 小一线流水线焊接1
     */
    private Double xyHj1L;

    /**
     * 小一线流水线焊接2
     */
    private Double xyHj2L;

    /**
     * 小二线流水线装配
     */
    private Double xeZpL;

    /**
     * 小二线流水线焊接
     */
    private Double xeHjL;

    /**
     * 中一线流水线装配
     */
    private Double zyZpL;

    /**
     * 中一线流水线焊接
     */
    private Double zyHjL;

    /**
     * 中一线流水线短管焊接
     */
    private Double zyDghjL;

    /**
     * 中二线流水线装配
     */
    private Double zeZpL;

    /**
     * 中二线流水线焊接
     */
    private Double zeHjL;

    /**
     * 中二线流水线短管焊接
     */
    private Double zeDghjL;

    /**
     * 大径线流水线装配
     */
    private Double djZpL;

    /**
     * 大径线流水线焊接
     */
    private Double djHjL;

    /**
     * 大径线流水线短管焊接
     */
    private Double djDghjL;
}
